summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author ponce2011-12-27 08:43:41 +0100
committer Robby Workman2011-12-27 17:15:25 +0100
commit94119c9b6c41bd710f5dea8c85235c2b97a3fb96 (patch)
treecd733a9cfa94977173e76cc6ce1a93c63c1e20c5 /desktop
parent2d042b40632ee0b9b681bc3cd2141d922f5139c3 (diff)
downloadslackbuilds-94119c9b6c41bd710f5dea8c85235c2b97a3fb96.tar.gz
desktop/lxlauncher: Updated for version 0.2.2
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/lxlauncher/fix-empty-lxlauncher.patch89
-rw-r--r--desktop/lxlauncher/lxlauncher.SlackBuild20
-rw-r--r--desktop/lxlauncher/lxlauncher.info8
3 files changed, 104 insertions, 13 deletions
diff --git a/desktop/lxlauncher/fix-empty-lxlauncher.patch b/desktop/lxlauncher/fix-empty-lxlauncher.patch
new file mode 100644
index 0000000000..20efe1a6b3
--- /dev/null
+++ b/desktop/lxlauncher/fix-empty-lxlauncher.patch
@@ -0,0 +1,89 @@
+From 56a244f2aa3c474b2506847ba9a2f5a21cb8efc2 Mon Sep 17 00:00:00 2001
+From: Julien Lavergne <julien.lavergne@gmail.com>
+Date: Tue, 26 Jul 2011 01:21:04 +0200
+Subject: [PATCH] Fix GtkAllocation to fix empty lxlauncher
+
+---
+ src/exo-wrap-table.c | 26 ++++++++++++++++----------
+ 1 files changed, 16 insertions(+), 10 deletions(-)
+
+diff --git a/src/exo-wrap-table.c b/src/exo-wrap-table.c
+index c691434..f48322f 100644
+--- a/src/exo-wrap-table.c
++++ b/src/exo-wrap-table.c
+@@ -326,14 +326,14 @@ exo_wrap_table_size_request (GtkWidget *widget,
+ if (G_LIKELY (num_children > 0))
+ {
+ #if GTK_CHECK_VERSION(2,18,0)
+- GtkAllocation allocation;
+- gtk_widget_set_allocation(widget, &allocation);
+- num_cols = exo_wrap_table_get_num_fitting (allocation.width
++ GtkAllocation *allocation = g_new0 (GtkAllocation, 1);
++ gtk_widget_get_allocation(GTK_WIDGET(widget), allocation);
++ num_cols = exo_wrap_table_get_num_fitting (allocation->width
+ - gtk_container_get_border_width(GTK_CONTAINER (widget)) * 2,
+ table->priv->col_spacing, max_width);
+ #else
+ num_cols = exo_wrap_table_get_num_fitting (widget->allocation.width
+- - gtk_container_get_border_width(GTK_CONTAINER (widget)) * 2,
++ - GTK_CONTAINER (widget)->border_width * 2,
+ table->priv->col_spacing, max_width);
+ #endif
+ num_rows = num_children / num_cols;
+@@ -345,7 +345,12 @@ exo_wrap_table_size_request (GtkWidget *widget,
+ requisition->width = -1;
+ requisition->height = (num_rows * max_height)
+ + (num_rows - 1) * table->priv->col_spacing
++#if GTK_CHECK_VERSION(2,18,0)
+ + gtk_container_get_border_width(GTK_CONTAINER (widget)) * 2;
++ g_free (allocation);
++#else
++ + GTK_CONTAINER (widget)->border_width * 2;
++#endif
+ }
+ else
+ {
+@@ -479,8 +484,8 @@ exo_wrap_table_layout (ExoWrapTable *table)
+ gint max_height;
+ gint max_width;
+ #if GTK_CHECK_VERSION(2,18,0)
+- GtkAllocation allocation;
+- gtk_widget_set_allocation(GTK_WIDGET(table), &allocation);
++ GtkAllocation *allocation = g_new0 (GtkAllocation, 1);
++ gtk_widget_get_allocation(GTK_WIDGET(table), allocation);
+ #endif
+
+ /* determine the number of visible children and the max size */
+@@ -490,7 +495,7 @@ exo_wrap_table_layout (ExoWrapTable *table)
+
+ /* determine the number of columns */
+ #if GTK_CHECK_VERSION(2,18,0)
+- num_cols = exo_wrap_table_get_num_fitting (allocation.width
++ num_cols = exo_wrap_table_get_num_fitting (allocation->width
+ - gtk_container_get_border_width(GTK_CONTAINER (table)) * 2,
+ table->priv->col_spacing, max_width);
+ #else
+@@ -509,8 +514,8 @@ exo_wrap_table_layout (ExoWrapTable *table)
+
+ /* determine the horizontal bounds */
+ #if GTK_CHECK_VERSION(2,18,0)
+- x0 = allocation.x + gtk_container_get_border_width(GTK_CONTAINER (table));
+- x1 = x0 + allocation.width - gtk_container_get_border_width(GTK_CONTAINER (table));
++ x0 = allocation->x + gtk_container_get_border_width(GTK_CONTAINER (table));
++ x1 = x0 + allocation->width - gtk_container_get_border_width(GTK_CONTAINER (table));
+ #else
+ x0 = GTK_WIDGET (table)->allocation.x + GTK_CONTAINER (table)->border_width;
+ x1 = x0 + GTK_WIDGET (table)->allocation.width - GTK_CONTAINER (table)->border_width;
+@@ -519,7 +524,8 @@ exo_wrap_table_layout (ExoWrapTable *table)
+ /* initialize the position */
+ x = x0;
+ #if GTK_CHECK_VERSION(2,18,0)
+- y = allocation.y + gtk_container_get_border_width(GTK_CONTAINER (table));
++ y = allocation->y + gtk_container_get_border_width(GTK_CONTAINER (table));
++ g_free (allocation);
+ #else
+ y = GTK_WIDGET (table)->allocation.y + GTK_CONTAINER (table)->border_width;
+ #endif
+--
+1.7.4.1
+
diff --git a/desktop/lxlauncher/lxlauncher.SlackBuild b/desktop/lxlauncher/lxlauncher.SlackBuild
index 9a56738a5c..9d1894b1d9 100644
--- a/desktop/lxlauncher/lxlauncher.SlackBuild
+++ b/desktop/lxlauncher/lxlauncher.SlackBuild
@@ -22,14 +22,14 @@
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
-# Slackware SlackBuild script
+# Slackware SlackBuild script
# ===========================
# By: Eric Hameleers <alien@slackware.com>
# For: lxlauncher
# Descr: Application launcher for Asus Eee pc
# URL: http://lxde.sourceforge.net/
# Needs: lxmenu-data
-# Changelog:
+# Changelog:
# 0.2-1: 29/jun/2008 by Eric Hameleers <alien@slackware.com>
# * Initial build.
# 0.2.1-1: 11/sep/2009 by Eric Hameleers <alien@slackware.com>
@@ -37,24 +37,24 @@
# 20100903_3480629: 12/sep/2010 by ponce <matteo.bernardini@gmail.com>
# * Adapted to slackbuilds.org's autotools template.
# * updated to git snapshot.
-#
+# 0.2.2-1: 26/dec/2011 by ponce <matteo.bernardini@gmail.com>
+# * update.
+#
# Run 'sh lxlauncher.SlackBuild' to build a Slackware package.
# The package is created in /tmp .
-# Install using 'installpkg'.
+# Install using 'installpkg'.
#
# -----------------------------------------------------------------------------
PRGNAM=lxlauncher
-VERSION=${VERSION:-20100903_3480629}
+VERSION=${VERSION:-0.2.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -95,7 +95,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-sh autogen.sh
+# fix no displaying of icons
+patch -p1 < $CWD/fix-empty-lxlauncher.patch
+
+sh autogen.sh || true
CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
@@ -104,7 +107,6 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--sysconfdir=/etc \
- --mandir=/usr/man \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux
diff --git a/desktop/lxlauncher/lxlauncher.info b/desktop/lxlauncher/lxlauncher.info
index 847e82f12f..f4e672a16c 100644
--- a/desktop/lxlauncher/lxlauncher.info
+++ b/desktop/lxlauncher/lxlauncher.info
@@ -1,10 +1,10 @@
PRGNAM="lxlauncher"
-VERSION="20100903_3480629"
+VERSION="0.2.2"
HOMEPAGE="http://www.lxde.org/"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/lxlauncher-20100903_3480629.tar.xz"
-MD5SUM="57b4948abed467878eac58c41be9fe85"
+DOWNLOAD="http://downloads.sourceforge.net/lxde/lxlauncher-0.2.2.tar.gz"
+MD5SUM="16df627447838b170a72cc3a9ee21497"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="ponce"
EMAIL="matteo.bernardini@gmail.com"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"